import { http } from "@/utils/http";
import { ref } from "vue";
export const select = ref<any>([]);
// 字典
type QuotaPageList = {
  code: number;
  msg: string;
  data: Array<any>;
};
export const selectDictList = () => {
  return http.request<QuotaPageList>("get", "/commonDict/selectDictList", {
    dictType: "1"
  });
};
export const getSelectDictListtApi = async () => {
  const { code, data } = await selectDictList();
  if (code == 200) {
    select.value = data;
    return data;
  }
};
